Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226148

Summary: Merge Review: mlocate
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mitr, panemade, redhat-bugzilla
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-13 09:08:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Cleanup suggested following packaging guidelines none

Description Nobody's working on this, feel free to take it 2007-01-31 19:41:55 UTC
Fedora Merge Review: mlocate

http://cvs.fedora.redhat.com/viewcvs/devel/mlocate/
Initial Owner: mitr@redhat.com

Comment 1 Parag AN(पराग) 2008-12-24 05:38:08 UTC
rpmlint on binary rpm gave
mlocate.i386: W: non-standard-gid /var/lib/mlocate slocate
A file in this package is owned by a non standard group. Standard groups are:
root, bin, daemon, sys, adm, tty, disk, lp, mem, kmem, wheel, mail, news,
uucp, man, games, gopher, dip, ftp, lock, nobody, users.

mlocate.i386: E: non-standard-dir-perm /var/lib/mlocate 0750
A standard directory should have permission set to 0755. If you get this
message, it means that you have wrong directory permissions in some dirs
included in your package.

mlocate.i386: W: non-standard-gid /usr/bin/locate slocate
A file in this package is owned by a non standard group. Standard groups are:
root, bin, daemon, sys, adm, tty, disk, lp, mem, kmem, wheel, mail, news,
uucp, man, games, gopher, dip, ftp, lock, nobody, users.

mlocate.i386: E: setgid-binary /usr/bin/locate slocate 02711
The file is setgid. Usually this is a packaging bug. If this is a game,  then,
you should use the proper rpm group, or location.

mlocate.i386: E: non-standard-executable-perm /usr/bin/locate 02711
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

mlocate.i386: E: non-standard-executable-perm /usr/bin/locate 02711
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.
==> I guess above are ok for this package.

mlocate.i386: W: spurious-bracket-in-%post
The %post scriptlet contains an "if []" construct without a space before the
"]".
== > Not sure if this fix is really required here.

Comment 2 Parag AN(पराग) 2008-12-24 05:45:21 UTC
Created attachment 327789 [details]
Cleanup suggested following packaging guidelines

Following changes are done in patch

1)For group creation here is guidelines 
https://fedoraproject.org/wiki/Packaging/UsersAndGroups

2)Added macros as per given at https://fedoraproject.org/wiki/Packaging/RPMMacros#Macros_mimicking_autoconf_variables

3) preserve timestamp http://fedoraproject.org/wiki/PackagingGuidelines#Timestamps

Comment 3 Parag AN(पराग) 2009-01-09 04:39:55 UTC
ping?

Comment 4 Miloslav Trmač 2009-01-12 09:46:40 UTC
Thanks for the patch.  I have applied most of it in mlocate-0.21.1-3, with the following changes:
- add "exit 0" to %triggerpostun as well
- Don't replace /etc/cron.daily by %{_sysconfdir}/cron.daily.
  Somebody might reasonably redefine %{_bindir} etc. to e.g. build a mlocate
  package located under /opt/mlocate, but the cron.daily script must be in
  /etc/cron.daily, where it is expected by cron configuration, not in
  /opt/mlocate/etc/cron.daily, for example.

Comment 5 Parag AN(पराग) 2009-01-13 06:32:13 UTC
APPROVED.
You can think of adding disttag. Its not mandatory though.
Once you build this new package in rawhide, you can close this review.